# Paths

## CLI Arguments

### Config Path

Choose the config file to override defaults.

Argument: `--config-path`

Default: `facefusion.ini`

Example: `--config-path facefusion.ini`

### Temp Path

Specify the directory for the temporary resources.

Argument: `--temp-path`

Default: `TemporaryDirectory`

Example: `--temp-path .temp`

### Jobs Path

Specify the directory to store jobs.

Argument: `--jobs-path`

Default: `.jobs`

Example: `--jobs-path .jobs`

### Source Paths

Choose the image or audio paths.

Argument: `-s/--source-paths`

Default: `None`

Example: `--source-paths source.jpg source.mp3`

### Target Path

Choose the image or video path.

Argument: `-t/--target-path`

Default: `None`

Example: `--target-path target.mp4`

### Output Path

Specify the image or video within a directory.

Argument: `-o/--output-path`

Default: `None`

Example: `--output-path output.mp4`

## Default Overrides

Modify the `facefusion.ini` file to override the defaults.

```ini
[paths]
temp_path = .temp
jobs_path = .jobs
source_paths = source.jpg source.mp3
target_path = target.mp4
output_path = output.mp4
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.facefusion.io/usage/cli-arguments/paths.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
